Bug 457977 - libvirt: need way to pass options to dnsmasq
libvirt: need way to pass options to dnsmasq
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 17:28 EDT by Matt Domsch
Modified: 2009-07-14 10:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-08-05 17:28:08 EDT
Description of problem:
libvirt starts dnsmasq with a set of options.  To enable guest boot from iSCSI direct, it would be beneficial to specify, via a DHCP option, the iSCSI target a specific guest should boot from.

Something like this dnsmasq command line option is needed:

--dhcp-option=17,” iscsi:10.9.166.71::::iqn.200609.com.example.myhost:storage” 

but note, this is on a per-guest basis.  dnsmasq seems not to have a way to updates its configuration information during runtime, so changes made via libvirt would require restarting dnsmasq to pick up those changes.


Version-Release number of selected component (if applicable):
libvirt-0.4.4-2.fc10.x86_64
Comment 1 Daniel Berrange 2008-08-06 05:58:08 EDT
We don't currently have any XML syntax for specifying DHCP options with the libvirt networking config. So this will first entail figuring out a good way to represent this capability. Then as you say there's a impl detail of needing to update dnsmasq's config and/or restart it. This is something that'll need to be discussed on upstream libvirt mailing list further
Comment 2 Bug Zapper 2009-06-09 22:23:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:55:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.